=== debian/changelog ===
re2 (20210201+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Drop source-contains-svn-conflict-file lintian override, no longer needed.
  * Revert SONAME back to 9, the bump to 10 was unnecessary.
  * Bump debhelper compat level to 13, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 01 Feb 2021 17:28:37 -0700

re2 (20201101+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 01 Dec 2020 12:13:08 -0800

re2 (20201101+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Upload to experimental, for the transition.
  * Update upstream metadata.
  * Bump SONAME to libre2-9. RE2::Arg uses templates instead of macros.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 01 Nov 2020 22:45:11 -0800

re2 (20201001+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 02 Oct 2020 11:36:19 -0700
