## re2 20210801+dfsg

=== debian/changelog ===
re2 (20210801+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 04 Aug 2021 15:46:22 -0400

re2 (20210601+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 02 Jun 2021 16:56:50 -0400

re2 (20210401+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop soname-9.patch, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 17 May 2021 10:31:53 -0400
