=== debian/changelog ===
re2 (20220201+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - No longer declaring -std=c++11 in the .pc file. (Closes: #1003482)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 02 Feb 2022 11:52:37 -0400

re2 (20211101+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch python3, superseded upstream.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 01 Nov 2021 18:05:34 -0700

re2 (20210901+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 01 Sep 2021 16:41:17 -0700

re2 (20210801+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Stefano Rivera <stefanor@debian.org>  Sun, 15 Aug 2021 22:25:59 -0400
