=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3,
  python3-six,
  unicode-data
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/google/re2
 Vcs-Git: https://salsa.debian.org/debian/re2.git
 Vcs-Browser: https://salsa.debian.org/debian/re2
