## re2 20220601%2Bdfsg

=== debian/changelog ===
re2 (20220601+dfsg-1+rb1) unstable; urgency=medium

  * Rebuild

 -- Han Gao <gaohan@iscas.ac.cn>  Tue, 11 Jul 2023 14:41:43 +0800

re2 (20220601+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 01 Jun 2022 19:59:28 +0100

re2 (20220401+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 01 Apr 2022 21:30:19 -0400
