## re2 20230201

=== debian/changelog ===
re2 (20230201-1) experimental; urgency=medium

  * New upstream release.
  * Drop the +dfsg repack, upstream has removed the XKCD cartoon.
  * Refresh patches.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 05 Feb 2023 19:12:44 -0400

re2 (20221201+dfsg-1) experimental; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Refresh patches.
  * Switch watch file to GitHub tags, as the releases page layout has changed.
  * Bump SONAME to libre2-10, following upstream.
  * Update symbols.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev and g++.
    + libre2-9: Drop versioned constraint on libre2-dev in Replaces.
    + libre2-9: Drop versioned constraint on libre2-dev in Breaks.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 09 Jan 2023 17:50:33 -0400
