=== debian/control ===
--- 
+++ 
@@ -4,8 +4,6 @@
 Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dpkg-dev (>= 1.16~),
- g++ (>= 4:5),
  python3,
  python3-six,
  unicode-data
@@ -15,11 +13,9 @@
 Vcs-Browser: https://salsa.debian.org/debian/re2
 Rules-Requires-Root: no
 
-Package: libre2-9
+Package: libre2-10
 Architecture: any
 Multi-Arch: same
-Breaks: libre2-dev (<< 20131024+dfsg-1~)
-Replaces: libre2-dev (<< 20131024+dfsg-1~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Built-Using: ${Built-Using}
 Description: efficient, principled regular expression library
@@ -43,7 +39,7 @@
 Multi-Arch: same
 Breaks: libre2-0 (<< 0+hg40+dfsg-1~)
 Replaces: libre2-0 (<< 0+hg40+dfsg-1~)
-Depends: libre2-9 (= ${binary:Version}), ${misc:Depends}
+Depends: libre2-10 (= ${binary:Version}), ${misc:Depends}
 Built-Using: ${Built-Using}
 Description: efficient, principled regular expression library, development kit
  RE2 is a fast, safe, thread-friendly alternative to backtracking regular
