## re2 20230301

=== debian/changelog ===
re2 (20230301-3build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:18:20 +0200

re2 (20230301-3) unstable; urgency=medium

  * Add loong64 to the long_size_t archs in symbols. (Closes: #1054467)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 01 Nov 2023 13:01:25 +0200

re2 (20230301-2) unstable; urgency=medium

  * Upload to unstable.
  * Clean correctly.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 13 Jun 2023 22:38:17 -0400

re2 (20230301-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 03 Mar 2023 09:10:12 -0400
