=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: re2
 Section: libs
 Priority: optional
-Maintainer: Stefano Rivera <stefanor@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  python3,
  python3-six,
  unicode-data
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/google/re2
 Vcs-Git: https://salsa.debian.org/debian/re2.git
 Vcs-Browser: https://salsa.debian.org/debian/re2
