## re2 20230602

=== debian/changelog ===
re2 (20230602-2) experimental; urgency=medium

  * Correct 32bit symbols.
  * Explicitly request C++14 support from the compiler.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Jun 2023 14:09:58 -0400

re2 (20230602-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Build-Depend on libabsl-dev, libbenchmark-dev, libgtest-dev, pkgconf, and
    python3-absl, now required upstream.
  * Depend on libabsl-dev, in libre2-dev (filtered_re2.h depends on it)
  * Bump SONAME to libre2-11, following upstream.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 14 Jun 2023 13:19:34 -0400
