=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: re2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stefano Rivera <stefanor@debian.org>
+Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ libabsl-dev,
+ libbenchmark-dev,
+ libgtest-dev,
+ pkgconf,
  python3,
+ python3-absl,
  python3-six,
  unicode-data
 Standards-Version: 4.6.2
@@ -14,7 +18,7 @@
 Vcs-Browser: https://salsa.debian.org/debian/re2
 Rules-Requires-Root: no
 
-Package: libre2-10
+Package: libre2-11
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -40,7 +44,7 @@
 Multi-Arch: same
 Breaks: libre2-0 (<< 0+hg40+dfsg-1~)
 Replaces: libre2-0 (<< 0+hg40+dfsg-1~)
-Depends: libre2-10 (= ${binary:Version}), ${misc:Depends}
+Depends: libre2-11 (= ${binary:Version}), libabsl-dev, ${misc:Depends}
 Built-Using: ${Built-Using}
 Description: efficient, principled regular expression library, development kit
  RE2 is a fast, safe, thread-friendly alternative to backtracking regular
