=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,17 @@
 #!/usr/bin/make -f
 
-export DEB_CXXFLAGS_MAINT_APPEND=-pthread -Wall -std=c++11
+export DEB_CXXFLAGS_MAINT_APPEND=-pthread -Wall -std=c++14
 export DEB_LDFLAGS_MAINT_APPEND=-pthread
 export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS | sed s/-O2/-O3/)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-LIB_PKG = libre2-9
+LIB_PKG = libre2-11
 
 %:
 	dh $@
 
 override_dh_auto_build:
+	rm -f re2/perl_groups.cc re2/unicode_casefold.cc re2/unicode_groups.cc
 	dh_auto_build -- REBUILD_TABLES=1
 
 override_dh_auto_install:
